MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Functions | Variables

# src/client_internal.h File Reference

`#include "client.h"`
`#include "command.h"`

Go to the source code of this file.

## Data Structures
struct | deferred_buffer
struct | client
## Defines
#define | G_LOG_DOMAIN "client"
## Functions
bool | client_list_is_empty (void)
bool | client_list_is_full (void)
struct client * | client_list_get_first (void)
void | client_list_add (struct client *client)
void | client_list_foreach (GFunc func, gpointer user_data)
void | client_list_remove (struct client *client)
void | client_close (struct client *client)
static void | new_cmd_list_ptr (struct client *client, const char *s)
static void | free_cmd_list (GSList *list)
void | client_set_expired (struct client *client)
void | client_schedule_expire (void)
| Schedule an "expired" check for all clients: permanently delete clients which have been set "expired" with client_set_expired().
void | client_deinit_expire (void)
| Removes a scheduled "expired" check.
enum command_return | client_read (struct client *client)
enum command_return | client_process_line (struct client *client, char *line)
void | client_write_deferred (struct client *client)
void | client_write_output (struct client *client)
gboolean | client_in_event (GIOChannel *source, GIOCondition condition, gpointer data)
## Variables
unsigned int | client_max_connections
int | client_timeout
size_t | client_max_command_list_size
size_t | client_max_output_buffer_size

## Define Documentation

#define G_LOG_DOMAIN "client"

Definition at line 27 of file client_internal.h.

## Function Documentation

void client_close | ( | struct client * | client | ) |

void client_deinit_expire | ( | void |  | ) |

Removes a scheduled "expired" check.

gboolean client_in_event | ( | GIOChannel * | source,
|  | GIOCondition | condition,
|  | gpointer | data
| ) |  |

void client_list_add | ( | struct client * | client | ) |

void client_list_foreach | ( | GFunc | func,
|  | gpointer | user_data
| ) |  |

struct client* client_list_get_first | ( | void |  | ) | `[read]`

bool client_list_is_empty | ( | void |  | ) |

bool client_list_is_full | ( | void |  | ) |

void client_list_remove | ( | struct client * | client | ) |

enum command_return client_process_line | ( | struct client * | client,
|  | char * | line
| ) |  |

enum command_return client_read | ( | struct client * | client | ) |

void client_schedule_expire | ( | void |  | ) |

Schedule an "expired" check for all clients: permanently delete clients which have been set "expired" with client_set_expired().

void client_set_expired | ( | struct client * | client | ) |

void client_write_deferred | ( | struct client * | client | ) |

void client_write_output | ( | struct client * | client | ) |

static void free_cmd_list | ( | GSList * | list | ) | `[inline, static]`

Definition at line 105 of file client_internal.h.

static void new_cmd_list_ptr | ( | struct client * | client,
|  | const char * | s
| ) |  | `[inline, static]`

Definition at line 99 of file client_internal.h.

## Variable Documentation

size_t client_max_command_list_size

unsigned int client_max_connections

size_t client_max_output_buffer_size

int client_timeout